Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: hwloc

Interfaces

### Description:

Dump topology and locality information from hardware tables.

### Interfaces:

hwloc_admin( domain )

##### Summary

All of the rules required to administrate an hwloc environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hwloc_domtrans_dhwd( domain )

##### Summary

Execute hwloc dhwd in the hwloc dhwd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hwloc_exec_dhwd( domain )

##### Summary

Execute hwloc dhwd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hwloc_read_runtime_files( domain )

##### Summary

Read hwloc runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hwloc_run_dhwd( domain , role )

##### Summary

Execute hwloc dhwd in the hwloc dhwd domain, and allow the specified role the hwloc dhwd domain,

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return